Page MenuHomePhabricator

CodeReview extension is missing @covers tags
Closed, ResolvedPublic

Description

PHPCS has identified that some of the CodeReview PHPUnit tests are missing @covers tags. Those tags
are necessary for PHPUnit to accurately calculate test coverage.

See the PHPUnit documentation for how to use it.

Once the tags have been added, the MissingCovers sniff should be re-enabled in .phpcs.xml.

Details

Related Gerrit Patches:
mediawiki/extensions/CodeReview : masterAdd @covers to unit tests

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 20 2018, 1:52 AM
Vvjjkkii renamed this task from CodeReview extension is missing @covers tags to wmcaaaaaaa.Jul 1 2018, 1:09 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from wmcaaaaaaa to CodeReview extension is missing @covers tags.Jul 1 2018, 5:24 PM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.

Change 455135 had a related patch set uploaded (by Legoktm; owner: Umherirrender):
[mediawiki/extensions/CodeReview@master] Add @covers to unit tests

https://gerrit.wikimedia.org/r/455135

Change 455135 merged by jenkins-bot:
[mediawiki/extensions/CodeReview@master] Add @covers to unit tests

https://gerrit.wikimedia.org/r/455135

Legoktm closed this task as Resolved.Aug 25 2018, 6:18 AM
Legoktm assigned this task to Umherirrender.